WinNT.ACCESS_DENIED_ACE (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinNT, class: ACCESS_DENIED_ACE

Package com.sun.jna.platform.win32

# Class WinNT.ACCESS_DENIED_ACE

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinNT.ACE_HEADER
com.sun.jna.platform.win32.WinNT.ACCESS_ACEStructure
com.sun.jna.platform.win32.WinNT.ACCESS_DENIED_ACE

Enclosing interface:
  WinNT

public static class WinNT.ACCESS_DENIED_ACE extends WinNT.ACCESS_ACEStructure

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  ### Fields inherited from class com.sun.jna.platform.win32.WinNT.ACCESS_ACEStructure

  `Mask, psid, SidStart`

  ### Fields inherited from class com.sun.jna.platform.win32.WinNT.ACE_HEADER

  `AceFlags, AceSize, AceType`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ACCESS_DENIED_ACE()`
  `ACCESS_DENIED_ACE(int Mask, byte AceFlags, WinNT.PSID psid)`
  `ACCESS_DENIED_ACE(Pointer p)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.platform.win32.WinNT.ACCESS_ACEStructure

  `getSID, getSidString, read, write`

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ACCESS_DENIED_ACE

    public ACCESS_DENIED_ACE()

  - ### ACCESS_DENIED_ACE

    public ACCESS_DENIED_ACE(Pointer p)

  - ### ACCESS_DENIED_ACE

    public ACCESS_DENIED_ACE(int Mask, byte AceFlags, WinNT.PSID psid)